# Class RunEvalResult

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.web.dto.RunEvalResult

public class RunEvalResult extends JsonBaseModel
DTO for the response of POST /apps/{appName}/eval_sets/{evalSetId}/run-eval. Contains the results of an evaluation run.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `appName`
  `String`
  `evalId`
  `List<List<Object>>`
  `evalMetricResults`
  `String`
  `evalSetId`
  `String`
  `finalEvalStatus`
  `String`
  `sessionId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunEvalResult()`
  `RunEvalResult(String appName, String evalSetId, String evalId, String finalEvalStatus, List<List<Object>> evalMetricResults, String sessionId)`
  Constructs a RunEvalResult.

- ## Method Summary

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### appName

    public String appName

  - ### evalSetId

    public String evalSetId

  - ### evalId

    public String evalId

  - ### finalEvalStatus

    public String finalEvalStatus

  - ### evalMetricResults

    public List<List<Object>> evalMetricResults

  - ### sessionId

    public String sessionId

- ## Constructor Details

  - ### RunEvalResult

    public RunEvalResult(String appName, String evalSetId, String evalId, String finalEvalStatus, List<List<Object>> evalMetricResults, String sessionId)
    Constructs a RunEvalResult.
    Parameters:
      `appName` - The application name.
      `evalSetId` - The evaluation set ID.
      `evalId` - The evaluation ID.
      `finalEvalStatus` - The final status of the evaluation.
      `evalMetricResults` - The results for each metric.
      `sessionId` - The session ID associated with the evaluation.

  - ### RunEvalResult

    public RunEvalResult()